Subject: Re: bug#15418: 24.3.50; RCS annotate broken in vc-rcs.el r114131

From: Richard Copley <[email-masked]>
Date: Tue, 24 Sep 2013 23:47:45 +0100

On 19 September 2013 22:26, Stefan Monnier <[email-masked]> wrote:

> >>>>> "Richard" == Richard Copley <[email-masked]> writes:
>
> > For some files under RCS version control, `vc-annotate' now fails with
> > error `(wrong-type-argument integer-or-marker-p nil)'.
>
> > I think the problem is with the variable `b' whose dynamic binding
> > was used by `gather' and set by `incg' (local functions in
> > `vc-rcs-parse'), prior to r114131.
>
> Indeed, it seems like there was some subtle dynamic scoping at play.
> Does the patch below fix your problem?
>

No, I'm afraid it does not. I get the same error.
Thanks.